<ion-menu side="end" type="overlay" menuId="order" contentId="main">
  <ion-header>
    <ion-toolbar color="warning">
      <ion-label>{{order.address}}<p>Floor: {{order.floor}}, Door: {{order.homenumber}}</p></ion-label>
    </ion-toolbar>
  </ion-header>
  <ion-content>

    <ion-item *ngFor="let item of order.items">
      <ion-label>{{item.name}} <p>{{item.quantity}}</p></ion-label>
 
      <ion-badge color="warning" slot="end">{{item.quantity * item.price | number}}€ </ion-badge>
    </ion-item>
    <h1 style="float: right ;">Total: {{order.total | number}}€</h1>
  </ion-content>
</ion-menu>

<ion-header [translucent]="true">
  <div style="display: flex; justify-content:center"><h3>Orders</h3></div>
  <ion-grid style="display: flex; justify-content:center">
    <ion-row style="height: 62px;"> 
      <ion-col>
        <div style="margin-top: -7%;">
          <ion-item style="width: 225px;" >
            <ion-label>Hora</ion-label>
            <ion-select (ionChange)="changeTime($event.target.value)">
              <ion-select-option value="">Every Order</ion-select-option>
              <ion-select-option value="13:00">13:00</ion-select-option>
              <ion-select-option value="14:00">14:00</ion-select-option>
              <ion-select-option value="15:00">15:00</ion-select-option>
              <ion-select-option value="16:00">16:00</ion-select-option>
    
    
              <ion-select-option value="19:00">19:00</ion-select-option>
              <ion-select-option value="20:00">20:00</ion-select-option>
              <ion-select-option value="21:00">21:00</ion-select-option>
              <ion-select-option value="22:00">22:00</ion-select-option>
            </ion-select>
          </ion-item>
        </div>
      </ion-col>
    </ion-row>
  </ion-grid> 

</ion-header>
<style>
  :root {
     --ion-safe-area-top: 20px;
     --ion-safe-area-bottom: 22px;
   }

   ion-col > div {
     padding: 10px;
   }
</style>
<!-- <ion-fab class="button-create" slot="fixed">
  <ion-fab-button  (click)="navigate_create()">+</ion-fab-button>
</ion-fab> -->
<ion-content [fullscreen]="true" style="display: flex; justify-content: center;">
  <ion-router-outlet id="main"></ion-router-outlet>

    <ion-grid>
      <ion-row style="height: 62px;"> 
        <ion-col>
          <div><strong>
              <p>Street</p>
            </strong></div>
        </ion-col>
        <ion-col>
          <div><strong>
              <p>Floor</p>
            </strong></div>
        </ion-col>
        <ion-col>
          <div><strong>
              <p>Number</p>
            </strong></div>
        </ion-col>
        <ion-col>
          <div></div>
        </ion-col>
      </ion-row>
  
      <ion-list style="border-top: 1px solid black; text-align: center;" *ngFor="let pedido of pedidos">
          <ion-row (click)="openEnd(pedido.id)" style="margin-top: -25px; height: 85px;">
            <ion-col>
              <div><p>{{pedido.address}}</p></div>
            </ion-col>
            <ion-col>
              <div><p>{{pedido.floor}}</p></div>
            </ion-col>
            <ion-col>
              <div><p>{{pedido.homenumber}}</p></div>
            </ion-col>
            <ion-col style="display:flex; align-items: center;">
              <ion-button clear (click)="deletePedido(pedido.id)">
                <ion-icon name="trash"></ion-icon>
              </ion-button>
            </ion-col>
          </ion-row>
      </ion-list>
    </ion-grid> 
</ion-content>
